procedure Strings is

   A : constant String := "A string that is not closed

   B : Natural;

begin

  if A /= "" then
     Put_Line (A);
     return;
  end if;

  case B is
     when 0 =>
       B = B + 2;
     when 1 =>
       B = 2 * B + 1;
     when others =>
       B = B / 2 + 1;
  end case;

  Put ("; Another String not closed

end Strings;

